commit b05564230b351bfb49cef2263cf1f69d2febd379
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:14 2022 -0400

    readme

commit 64237955512e0ddff93df72ec5bc228546b414e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:43 2022 -0400

    copyright

commit d2b4cb0789b32512fdd554339a3eac20d591ed1a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:20 2022 -0400

    readme

commit 68bdc614a1ca235faff1b8f4f788df870d68281e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 19 07:08:16 2022 -0500

    bumped changelog version

commit e6c05d99006849caf4326d58d4cca4cb0e001c1b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 16 12:10:48 2022 -0500

    Tor emulation: fix, pass all command line options to `tor` when being called with `--verify-config`
    
    https://github.com/nyxnor/tor-ctrl/issues/9

commit 8b34a274e458feb17d2cf8002e2853703e174860
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 15:29:27 2022 -0500

    bumped changelog version

commit 7a1e0b59d39bc705c1e39be69a2c3dedb04c0f04
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 15:28:41 2022 -0500

    implement `tor --verify-config`
    
    tor-ctrl uses 'tor --verify-config'
    
    fixes https://github.com/nyxnor/tor-ctrl/issues/9

commit 673ff1807649d753f937298f2a3ad83556ce85e8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:28 2021 -0500

    readme

commit 31fcadcf1f54f9c1b8e447deb31e381dc135e810
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 18:33:39 2021 -0400

    bumped changelog version

commit 7494cc99bf640b63bcde1be2be239334f134790d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:08 2021 -0400

    readme

commit 6c0caf5dde5738e239217e966273650064b4d658
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:26:38 2021 -0400

    bumped changelog version

commit 33c5559e910657b133e83aef6950ec4d8fa52fc0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:20:55 2021 -0400

    LANG=C str_replace

commit eb72f0ec82135a708dc1a969bd7713568c99f61f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:31:31 2021 -0400

    bumped changelog version

commit efdb7cd6c3c0174e1a7e8fd9ce08dcf845c8623c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 14:42:59 2021 -0400

    lintian FHS

commit 5767785c25a17fda5e5071af7fc772379cd66610
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 14:42:25 2021 -0400

    lintian FHS

commit f9451226117b438908dbd7048c52b63cb37a89dc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:51 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit 522feddc3ba72017bad3bcea84ad83c6d050c197
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:50:50 2021 -0400

    update lintian tag name

commit 4133fb23795ac0b901a7ca809cf877b1e3c2066f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:16 2021 -0400

    bullseye

commit 01ffa10973bd9dc0c2e7007bcbbd702abf0c2e3c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:19 2021 -0400

    readme

commit 00a1c9ef1c1b28b682b9b1e27e112650b4420823
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 24 19:05:17 2021 -0400

    bumped changelog version

commit 6ee5b5b03d09dae202f2f55ff603c96dca2bf386
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 24 19:04:48 2021 -0400

    Provides: obfsproxy, obfs4proxy

commit b7d7c7e6daa6afab9bcc3b6063970476cb80d3ac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 7 04:36:34 2021 -0400

    bumped changelog version

commit 73a4e81dee4a2cb5f0453d024d41f20a307802e8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 7 04:33:00 2021 -0400

    fix "Firefox is offline" messages in Tor Browser 10.5a17 and above by
    enabling Tor Browser `quickstart`
    
    `export TOR_USE_LEGACY_LAUNCHER=1`
    
    https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/27476
    https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/40455
    https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/40433
    https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/34345

commit 57c9f0804ed6d1ceee6aa487518659a0fb28f029
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 10:56:47 2021 -0400

    bumped changelog version

commit 2157d942aec065dcd6086056a76ffde53f7563ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:11 2021 -0400

    copyright

commit bdf598b738a0e07f95f0301d6e2db7d989f64b22
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 15 09:24:03 2021 -0500

    bumped changelog version

commit 0b1394e98ee2a4c7f56c722585358dff3ea67f61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 15 09:24:02 2021 -0500

    readme

commit d0154afd9c5ad734ca6bb26644ef69a99c8e9749
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 12 03:46:16 2021 -0500

    lintian

commit 4db39ec46cbbf432ca1e6cbd16562cae2896836b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 12 03:36:57 2021 -0500

    disable the following port forwardings from Whonix-Workstation to Whonix-Gateway
    
    - 9153 (Tor Messenger default ControlPort)
    
    since deprecated applications in Whonix and no longer in use

commit e6b7b164790058453b495b8b17a9bbeb310363c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 12 03:35:13 2021 -0500

    disable the following port forwardings from Whonix-Workstation to Whonix-Gateway
    
    - 9152 (Tor Messenger default SocksPort)
    - 11109 (TorChat default SocksPort)
    
    since deprecated applications in Whonix and no longer in use

commit 464189c826736e65fdf3f378ffbaf06cd33f0018
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 11:53:40 2020 -0500

    bumped changelog version

commit 9e0de4bb5a4408b5b32a6b34244ec69570c555a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 07:51:15 2020 -0500

    comment

commit 9f5e8fe507de7b95c2dbfed49fb848383a5a4241
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 07:50:08 2020 -0500

    comment

commit 4636ec017c2ad3f7e189c96d28a5e4e6f0c3be31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 07:49:22 2020 -0500

    comment

commit 542efcdec2217b79567b54f41eed2c27ecaa9eab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 07:43:36 2020 -0500

    comments on IP change; better support to change IPs

commit e21142a0b21ed9b6496d9c53dbf7d3e3a58f11c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 19 11:37:54 2020 -0400

    bumped changelog version

commit f065c2223c7a0e957996c227be4f39f1f30e8ca7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 19 11:37:53 2020 -0400

    readme

commit 865372f58a51a7715b8807f4438c4bdc85d82e43
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 19 11:36:00 2020 -0400

    forward Thunderbird port 9102
    
    run usr/share/lintian/overrides/anon-ws-disable-stacked-tor
    
    Thanks to @LavenderLevitator for the bug report!
    
    https://forums.whonix.org/t/torbirdy-replacement/8782/35

commit c7ad15982c27866747f9bcef0c10c83cacf18b7f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 12:23:23 2020 -0400

    bumped changelog version

commit 26bdf8f4c6a37f6b7243dac87a33e4a645a5a4b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 12:21:28 2020 -0400

    redirect Thunderbird localhost 9102 to Whonix-Gateway 9102
    
    https://forums.whonix.org/t/torbirdy-deprecated-replacement-required/8782/27

commit 84a73d18afa706ee39ac51b911c7821c79fad758
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 12:20:54 2020 -0400

    /var/run -> /run

commit 5b2f06b8b21dfff06098beda8e747b2d0ea61740
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:22:33 2020 -0400

    bumped changelog version

commit 93b495f4f417202bb113121395db3e99ac26f85e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:27 2020 -0400

    readme

commit 2c9de84861960e03a0f2c14d1bcf472b7996d19b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:39:40 2020 +0000

    bumped changelog version

commit ecb4cc74b70fca950900608b47b228eaa5e3cf3a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:03:15 2020 +0000

    anon-base-files -> dist-base-files

commit 3a039786e8f6c66dda4ee612fd4112a53e8bb4a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:32:20 2020 -0400

    bumped changelog version

commit bed899a1edc5b1f1620e230fa6266e2b72a667d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:15 2020 -0400

    readme

commit 99eeeff8eda1c9c273d0b2753a821bfb256d7545
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:27 2020 -0400

    remove genmkfile

commit 459fccaa5aeeb31787aa177096871a4cb36f48f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:30:05 2020 -0400

    add debian install file

commit d36da295f7c3687e609ac284431be15fcadefad6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:23:52 2020 -0400

    bumped changelog version

commit 87b23c3510e5fc81c0eff1cf09450ff27d381f06
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:52 2020 -0400

    update copyright year

commit 7e6967725fa49e482caab0491c2f5beb276b4d5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 24 06:56:02 2019 +0000

    bumped changelog version

commit d9b24531e0bead82d18e8edaaa0d07b3b590ca01
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 24 02:42:45 2019 -0400

    comment

commit 9b300d0990cff790ce46ec961031de0e5375878f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 14 10:16:47 2019 +0000

    bumped changelog version

commit 203dd3422163d079272eccf9f67e7be18fb05da5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 14 10:10:01 2019 +0000

    readme

commit 430fee9f64f50d139a3d1e2d64d95adf5c4c0b72
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 8 12:06:57 2019 +0000

    comment

commit dde300a09469c5e21dba3fdec7200237ef4c3840
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 8 12:04:12 2019 +0000

    comment

commit 89b2312ad18861484604ca1c0b049058371f9e4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 8 03:59:16 2019 -0400

    code documentation

commit cd56fdffb1c5065de26e76b3a1b7c449a300211f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 7 11:05:29 2019 +0000

    description

commit 4ed78b77c5efe1951ec297bab86c276735230466
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 17 13:39:05 2019 +0000

    bumped changelog version

commit 536953c4a84902c408d858a67607b2da2eaab85a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 17 07:26:26 2019 +0000

    use --with=config-package rather than dh_configpackage

commit 02839f754c52d54e94d1c068687fffaf7368d45a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 17 07:23:24 2019 +0000

    fix, also run original dh_install from override_dh_install

commit cd20cf2526cc446b511b105830306d4d2200ff54
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 13:41:57 2019 +0000

    bumped changelog version

commit 517eef5fe593ef08907310dd698052d32da6d669
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 08:43:17 2019 -0400

    depend on adduser

commit 64ae0b1b45f941cafd1c66e349bac94b3dc547af
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:23:07 2019 +0000

    bumped changelog version

commit 854a2f44d1a2feff8ecf0ac1b30f09aeb509d999
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:33 2019 +0000

    readme

commit d2ce922195dbc9c022e0ee3a842f7e96ac585d9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 07:36:18 2019 +0000

    bumped changelog version

commit de8c9ec29dba604941872d4630530d0d07733153
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 03:06:30 2019 -0400

    /var/run -> /run

commit 50c19ce5ffd75c98c3c5ef2c488e145488e9e5ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 15:22:33 2019 +0000

    bumped changelog version

commit 35198acb7a4e2ad05cafe7a118ec4c0eabb4901e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 10:03:21 2019 +0000

    actually do not cleanup DataDirectory; comment
    
    https://github.com/micahflee/onionshare/issues/829#issuecomment-507190839

commit 89f3a4ec5996903812750b1442bca9ea44c7020d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 10:00:56 2019 +0000

    minor

commit 1736d5adda520afed9f036e460d329e8afb09312
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 10:00:29 2019 +0000

    private variables
    
    https://github.com/micahflee/onionshare/issues/829#issuecomment-507190839

commit 7b10c4923e566283c8e10d92e27e036509019d88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 09:59:08 2019 +0000

    cleanup DataDirectory
    
    https://github.com/micahflee/onionshare/issues/829#issuecomment-507190839

commit c3f38be312088470794b7ffdc7c3a25c6594f3f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 09:52:16 2019 +0000

    add also SocksPort support for OnionShare "bundled Tor"
    
    https://github.com/micahflee/onionshare/issues/829#issuecomment-507190839

commit 6cbc889b37648b8b8cae8193c675b3c5aef9e55f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 09:26:22 2019 +0000

    add support for OnionShare "bundled Tor"

commit 5755d1f470c76bd91f287028ad133e4345792b89
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 10:12:48 2019 +0000

    bumped changelog version

commit 64df319c6a165ad8dc7bd3e2a4a45841660cc485
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:29 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 1f7bf8ff3af2548cb735ab9450c7395d9d4065cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 6 01:43:06 2019 -0400

    'restart' rather than 'start' required to support running this script
    during runtime due to the following.
    
    Jun 06 05:38:49 host systemd[1]: anon-ws-disable-stacked-tor_autogen__var_run_tor_socks.socket: Socket unit configuration has changed while unit has been running, no open socket file descriptor left. The socket unit is not functional until restarted.

commit 4bc1c2c8165a1a160116f15bf841b88f3b2587fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:09:47 2019 +0000

    bumped changelog version

commit 66ae2f1aefe129ac9e5d524ac8f5adbf9024476a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:28:54 2019 -0400

    readme

commit 5652700e53376013b043f408052e12c5483132d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:30:40 2019 +0000

    bumped changelog version

commit c3064496167e95033ff11b267303b9cd35b06dad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:58:42 2019 -0400

    update path to pre.bsh

commit 8b81ceb9b57ec9cf9b8cb77a3d5bed44763964e6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:50:14 2019 -0400

    anon-shared-helper-scripts -> helper-scripts

commit 20f08fffb6406d4c46b58ed91157fa2989256a96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:16:07 2019 +0000

    bumped changelog version

commit b16716901c4844ae83a96733e304e79e5762ab26
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:51 2019 +0000

    update

commit e15c5bf026ab03b537733cbaa47cdf838ccea2fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 1 01:13:28 2019 +0000

    bumped changelog version

commit e7113a224b319806ee7d5d8fc9c14019c4fe6ddb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 30 21:07:18 2019 -0400

    re-run usr/lib/anon-ws-disable-stacked-tor/systemd-unit-files-generator
    
    fix port / fix for bisq

commit a7166ba7103d445fb032aa40b55a2b1ff32a010a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 25 20:44:53 2019 +0000

    bumped changelog version

commit 23f852368df6be6ed2dd1937363682df76ce81b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 25 16:26:26 2019 -0400

    fix port / fix for bisq

commit 4b5a9330e1d446d026bfc1976f91f7b3d0515ffe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 16:08:13 2019 +0000

    bumped changelog version

commit 128e2312bf58a5c1cea3eecd74d1fa0a1a194b51
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 15:17:09 2019 +0000

    have sane built-in defaults even if config files are non-existing
    
    https://phabricator.whonix.org/T503

commit c73e0e05dd15ded988bf895f6d62b241a74dbd4f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 15:12:08 2019 +0000

    comments

commit 9c1118c49e1de4d0f9f335709b8dcae09aad01a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 15:09:23 2019 +0000

    comment

commit 968727c36aeaefc7da5a89931323c95f06a62a7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 11:55:32 2019 +0000

    bumped changelog version

commit 0e0a0bf396cf60ad3ce2d0a8e1ba3251ec21168f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:55:50 2019 -0400

    port to debian buster

commit 42117c005e56ea62cfd9d457b11e2c32c0756c14
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:50:33 2019 -0400

    port to debian buster

commit f5e622c10bbef8c95fff10a4c9f160700079a0aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:04:48 2019 -0400

    readme

commit f8b7e9a1f906c2c437010a7723928f123f1e27a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:45:14 2019 +0000

    bumped changelog version

commit 41b5da9c8e52a1a2df79024c7ddcb10af19e06d0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:02:45 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit 83f16f78a2e01562c21ea4df0c634a3492d3428e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:18:36 2019 +0000

    bumped changelog version

commit 3da8e90c264a9325d5ce349b7b72ff1967f8c073
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:31:49 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit 6a0200b26370c8883b9b213a9f3c1bf835c5a93b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 14 10:01:43 2018 +0000

    bumped changelog version

commit 5dd547e93b6d26b96f56a134b8904b513f988765
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 7 06:16:32 2018 -0500

    fix

commit 8a364762966d3e390cb3673d8c8f98ffda5996a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 7 06:13:54 2018 -0500

    parse /usr/local/etc//anon-ws-disable-stacked-tor.d/*.conf

commit 3dcbe81a7d8c85871193e04e214b0360fcfd183a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 15:52:59 2018 +0000

    bumped changelog version

commit 12284612749bedc267ccbdc6ed01e1f5a027d9a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:17:53 2018 +0800

    readme

commit d5b40d9e3ae9e9b54befc9e24a677404c0a3de20
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 17 19:32:12 2018 +0000

    bumped changelog version

commit e53847fca02baefd7ec76e822929273d02b7aaf2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 17 19:23:40 2018 +0000

    comment

commit d85f5c22c2435ac53b737b59d99dd189b3f0cf47
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 12:19:55 2018 +0000

    bumped changelog version

commit 7372afb6ff6d2e0a14a037d21b16ab758da6daea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 09:59:23 2018 +0000

    comment

commit 0a6b6fd716252637ab891b57160f63be3dd4331e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 09:28:27 2018 +0000

    comment

commit 4185e35465f0f4af20bd8fc3933072375b1a83e6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 09:26:28 2018 +0000

    regenerate

commit 3fe107583051c049f86d7577345c9a3c9373f796
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 09:26:24 2018 +0000

    comments

commit 4e97318d9e4ea5bdb453dfbc3d07dad05e2f178a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 09:19:38 2018 +0000

    automatically enable systemd unit files when systemd-unit-files-generator is run from system

commit 65a693b6e2baa0d5e96c86cff9931e05d1f21f7f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 08:32:01 2018 +0000

    regenerate

commit 8df193cbcec63d3bdd5e8ac8df422137999042ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 10:24:51 2018 +0200

    renamed:    usr/share/anon-ws-disable-stacked-tor/systemd-unit-files-generator -> usr/lib/anon-ws-disable-stacked-tor/systemd-unit-files-generator

commit 5951e2698a9a3ae833c34c1a35341d0022d0bdf2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 10:22:21 2018 +0200

    add config parsing

commit 530bd459f7a30b402ece1abda0f92bc589515985
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 10:12:27 2018 +0200

    refactoring

commit 879193c1d483dfb0d5db8b3b70be69acd3c1a932
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 10:09:30 2018 +0200

    comments

commit 0cc4264a809773574a7f9767cc6e18965d1344c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 9 10:05:28 2018 +0200

    comments

commit 890449530757baf06dfcb9b034bdf642f13dbfc9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 11 00:41:46 2018 +0000

    bumped changelog version

commit 64c1563645353524a1226151e8085d213ba62e3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 11 00:26:40 2018 +0000

    comment

commit 28ddee705b3164c48210f734a19a3b26e676e111
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 11 00:20:33 2018 +0000

    regenerate

commit 6548c8a329ea10341580760cfc55b510c93f4b8f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 11 00:19:26 2018 +0000

    readd TorChat support

commit aa9c512898e80340c39e37afc950fcadcad3d47c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 23:59:06 2018 +0000

    fix, remove BindToDevice=127.0.0.1, not working, not required

commit c96c4cf0c96044e168e6f8922c046e9575703381
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 23:54:19 2018 +0000

    fix

commit f71ff14ecf5d238462a5f70066fa091f8796806b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 23:29:47 2018 +0000

    BindToDevice=127.0.0.1

commit 9ddcde068b23b919fae5ae375c6a0aab552221c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 23:23:32 2018 +0000

    fix

commit 3996f208f88138587c0a889b7967f918e6b14161
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 23:09:56 2018 +0000

    reintroduce etc/anon-ws-disable-stacked-tor.d/30_anon-dist.conf
    
    otherwise we would have to delete it
    
    this mechanism may be easier to use than creating more systemd unit files

commit d9654219d146db56155989cc9178c185ffa3da29
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 23:09:40 2018 +0000

    fix

commit b4858569817bb58ce496bfb6c42f8ce9d5f81c00
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 20:22:56 2018 +0000

    regenerate

commit b9e6bbdb1719a767d65e673eb5ae7bfaeab4b4da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 20:22:19 2018 +0000

    fix unit domain socket file listener and access rights

commit f85a4da96f9b7562693dffe444556dbe9e7e3409
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 19:00:31 2018 +0000

    anon-ws-disable-stacked-tor to systemd socket activation
    
    initially generate systemd service and socket files
    
    by using usr/share/anon-ws-disable-stacked-tor/systemd-unit-files-generator
    
    https://phabricator.whonix.org/T623

commit 1e28ee0263bb7499c3251b8ec926c14091e492fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 18:58:10 2018 +0000

    port anon-ws-disable-stacked-tor to systemd socket activation work in progress
    
    https://phabricator.whonix.org/T623

commit 49ea58c2ca9e6e5667771c7a4b8a0d8789e58d1f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 18:48:43 2018 +0000

    port anon-ws-disable-stacked-tor to systemd socket activation work in progress
    
    https://phabricator.whonix.org/T623

commit 453cd22e26dc1ddedeeeb1bda23a76952f2bb651
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 18:40:09 2018 +0000

    port anon-ws-disable-stacked-tor to systemd socket activation work in progress
    
    https://phabricator.whonix.org/T623

commit 9159e2fc94b575889a71ab4fcf7a69a2d4dcdeb5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 18:11:01 2018 +0000

    port anon-ws-disable-stacked-tor to systemd socket activation work in progress
    
    https://phabricator.whonix.org/T623

commit 39dda65e8cdfd813e7aa43fb9fa30c43d7d4714f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 18:06:14 2018 +0000

    port anon-ws-disable-stacked-tor to systemd socket activation work in progress
    
    https://phabricator.whonix.org/T623

commit 0d53472ca947dc59531418a8948e7470939214ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 17:58:23 2018 +0000

    port anon-ws-disable-stacked-tor to systemd socket activation work in progress
    
    https://phabricator.whonix.org/T623

commit 3c402798214756099c9f3cc61f87f5df1c314b63
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 17:03:07 2018 +0000

    refactoring

commit a402259d9f879cb09a06d51350f6fc1233a5a750
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 16:57:01 2018 +0000

    break TorChat for simplicity
    
    perhaps reimplement later

commit d859abe8fb04d420a218ff916a5107fcf92305d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 16:55:28 2018 +0000

    refactoring

commit 736947d13795304f0a7596d18bfeee08f7f4cc93
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 16:41:50 2018 +0000

    refactoring

commit 365630e8b1e0fa2d081a467691ff8f20f2c2d7ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 16:32:48 2018 +0000

    refactoring

commit e6776e7f1ce10457f9a355655c9c3063e5c19529
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 10 16:26:28 2018 +0000

    break TorChat for simplicity
    
    perhaps reimplement later

commit 4495ab8ebf53925adc14cce9b3dfee52b79b2488
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 14:50:04 2018 +0000

    bumped changelog version

commit 370e8b1049cbdd2f2dabcee342db020c2fdc03f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:12 2018 +0000

    readme

commit 290871e1a988c574dcb069594298832f571d3c0e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:44 2018 +0000

    update copyright

commit fa08ae3fc7b1622478b0698bf6397be9573d5cb3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:21:51 2018 +0000

    update copyright

commit 85feacd4ef2f8c5f8f6899d0d4b831896fc35c8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:03 2018 +0000

    update copyright

commit 00ac873bd1740b4968f76a46d23e6344750fc195
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:28 2018 +0000

    update copyright

commit 87c4babaf830b7f08ae693c72527fcfe7d015f6e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:25:50 2017 +0000

    bumped changelog version

commit b4924513993976faab8dd9e842e9acf66503e540
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:07:50 2017 +0000

    signed commit

commit f16e1fea8b0f265cc138ad93fb3b39ac7a678c15
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 6 02:07:37 2017 +0200

    comments

commit 7a5dd4351ea06ca605d596ca85f279b9074f745e
Merge: 4ed60ce 0c5eda1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 6 01:57:57 2017 +0200

    Merge remote-tracking branch 'origin/master'

commit 0c5eda12721eaaafe51947c53d9e46cc611de8d8
Author: Jason J. Ayala P <JasonJAyalaP+Github@Gmail.com>
Date:   Mon Jun 5 13:34:34 2017 -0500

    No longer needed https://phabricator.whonix.org/T657

commit 40b4684c98860dfcf6dd5cf5307e99a2fc369cfa
Author: Jason J. Ayala P <JasonJAyalaP+Github@Gmail.com>
Date:   Mon Jun 5 13:34:18 2017 -0500

    No longer needed https://phabricator.whonix.org/T657

commit 9dee8b40052685cbcc84fd2d8f94898f1e8b5c46
Author: Jason J. Ayala P <JasonJAyalaP+Github@Gmail.com>
Date:   Mon Jun 5 13:33:23 2017 -0500

    No longer needed

commit 4ed60ce94e6e9c7e5cf813788fc7ffaf98be331d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 01:38:38 2017 +0000

    bumped changelog version

commit 5e6454939f95e3ac6436edaa05d324df70629f0b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 24 00:02:00 2017 +0000

    fix

commit 6f23ec3b6fd6494ee28875395749c6719ada8eb3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 23 23:53:31 2017 +0000

    improve Tor emulation
    
    keep dummy Tor instance running
    
    this allows using tor-prompt (from python-stem package) inside Whonix-Workstation

commit 2a3e968206ecd6ef6341d92cffbb1a195d8960a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 13:45:40 2017 +0000

    bumped changelog version

commit f14694c0e95742fda7cc6c2ae2dbd815eed9c09b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 17:30:29 2017 +0000

    "$@"

commit 14a43e7ea4299e1387407838cc142042c794287f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 15:33:07 2017 +0000

    comments

commit ecf2ed38673004f16386926976f02288b0c1be79
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 15:28:29 2017 +0000

    comments

commit c882bc64748cb9434f978c239226e32e2378fad9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 15:23:51 2017 +0000

    comment

commit e8145a385fcf5eb9e64ced8b09ade0d26e067475
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 14:58:39 2017 +0000

    improve configuration documentation

commit 342a33e23c63c39cb5891961fcdfaf90a931d855
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 17:25:07 2017 +0000

    readme

commit feae8c8e199c57a124c4692920f67d7f2fef9bfa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:49 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit e0fb9e058081c75923f1d6eba45dc13edc07b086
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:21 2017 +0000

    remove debian/gain-root-command workaround

commit fb07131c00bcf6bdaca2336b8b00a90d50262135
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:18:39 2017 +0000

    packaging simplification config-package-dev (>= 5.1) -> config-package-dev

commit fc14daeecb8c493fcd1c8c595d67381129bd8343
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 17:00:30 2017 +0000

    bumped changelog version

commit 882eb0e62b24b3254ce220ee4d6e02ff3e855341
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 16:57:58 2017 +0000

    simplify dummytor implementation

commit c4549c5be6a20d7fa742822f1584e0816029383e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 16:55:10 2017 +0000

    disable apparmor for dummytor to prevent AppArmor denied messages

commit 6bc41c88e311e157bb5123e5704a1c422db9bc52
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 16:53:00 2017 +0000

    make 'sudo service tor@default status' exit 0

commit 2f336d241c84cec609c2252373a20b1520fdccaf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:21:40 2017 +0000

    bumped changelog version

commit bcbc8d5ea3258f2cd1ebdd140729e955036a0391
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:05:45 2017 +0000

    remove init.d leftovers

commit 0961709d6348e1159b2750ad0c54db0b4bf530a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:00:55 2017 +0000

    remove no longer required lintian override

commit 178b89d67178b2c9c40842f421dd766221cd58a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 07:59:29 2017 +0000

    remove etc/init.d/tor.anondist

commit ed5b25516bd34e2fd5346152aa9eb67c65b2805c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 07:58:40 2017 +0000

    remove etc/init.d/tor.anondist since Tor no longer ships an init script

commit 38d63e18ced0c09754964787483a775f7c4cff84
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:26 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit 67ce5b0da2677b5c56b9c4c66d2ae782657a1b63
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 00:12:12 2016 +0000

    bumped changelog version

commit 5c8e5b736bf1d803ec79e62037590e2b452bd1f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 19:51:03 2016 +0100

    port 9052 -> 9051
    
    https://phabricator.whonix.org/T573

commit 078dde61325251c4fd045bf0f2024a3e240b0879
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 30 11:49:41 2016 +0000

    bumped changelog version

commit 678d81fd2d1a87517c54874792b6d18935507878
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 28 00:40:32 2016 +0100

    socat TCP4 and TCP6 forward to Whonix-Gateway (not just TCP4)
    
    https://phabricator.whonix.org/T192

commit 24421e2dadbcec6911ecb41bc8f7fce5b23a018f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 28 00:35:09 2016 +0100

    socat listen on localhost only
    
    https://forums.whonix.org/t/tor-browser-6-5a4-connectivity-broken-blocked-by-apparmor-profile-since-tbb-changed-to-sockssocket/3154/16?u=patrick

commit b6a065430c111a16ccddeda8e67c24ab5f977a54
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 22 02:32:29 2016 +0000

    bumped changelog version

commit 6dee6c21b2ab13efbd7fa8b1a1eb4601c73aca2e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 22 02:30:31 2016 +0000

    fix controlportfilt.sh
    
    https://github.com/QubesOS/qubes-issues/issues/2447

commit 59ce8d081c9710ee5c707eddc2c0c3e8bacfefce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 23:33:09 2016 +0000

    do not run anon-ws-disable-stacked-tor service in Qubes TemplateVM

commit cc24c7df062d6131e888c7e6ffa489ebba399d1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 22:24:46 2016 +0000

    bumped changelog version

commit 215566d746094baaeb914fb0f5713f2e5b56896b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 22:24:17 2016 +0000

    remove no longer needed lintian override

commit 3b8b93b3c52ae9e7beef1b27b78ff4fe3b36905e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 22:20:08 2016 +0000

    bumped changelog version

commit 1776ec5499b300b989ff66dfbad506e4184ff455
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:39:13 2016 +0000

    readme

commit adec67954d6f357370a9ba806d6c6d70fb9e10c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 17 18:31:44 2016 +0000

    updated Tor IPC environment variable file names as per TBB 6.5a4
    
    https://phabricator.whonix.org/T192

commit ce8b7ebb31771ca3c634b7f98e53e99481e29079
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 14 19:52:21 2016 +0000

    cleanup

commit 28dc66f7a7719d8211acb1f920244bf47967cec2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 14 19:50:32 2016 +0000

    also add functional /var/run/tor/control_auth_cookie and /var/lib/tor/control_auth_cookie

commit 7f40e2fa34b905c8f062d353815b76d08f1281d7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 14 19:44:31 2016 +0000

    add support for python-stem Tor Control Socket based authentication
    
    by adding a functional /var/run/tor/control.authcookie

commit 223ad3f5a2cf834fcd9ecd10a9954f02b20645c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 14 18:45:19 2016 +0000

    also create and forward /var/run/tor/control

commit d476f544eaa516d2bddf39fbfb4956a3424ef1c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 14 18:38:32 2016 +0000

    comments

commit 73c3620ef970722bbfa974327e2e9387b72c3db3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 14 18:35:23 2016 +0000

    fix, make sure /var/run/anon-ws-disable-stacked-tor exists

commit bdca9c8d9e1b195e2e5bb682bef33e4020df3b60
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 14 18:28:59 2016 +0000

    comments

commit ac551934c1604698dc4630b008a250486240bab5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 14 18:27:38 2016 +0000

    comments

commit 682650845c3bb948ea2ba40792957fc3ebccd664
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 14 18:26:11 2016 +0000

    create socat unix domain sockets as user debian-tor to solve permission issues

commit eda6e3221fd3c254892ab6a362c91a7f882e0d24
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 13 20:40:01 2016 +0000

    forward /var/run/tor/socks to Whonix-Gateway

commit ad86ce9d4285c5f749697c0d3bf34c37ac39eb2f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 13 20:31:10 2016 +0000

    set environment variables TOR_SOCKS_SOCKET and TOR_CONTROL_SOCKET
    
    so Tor Browser connectivity does not break when TPO switches to SocksSocket
    
    https://phabricator.whonix.org/T192

commit cd50cafde32b28258a4b2137c545c56905fe8fc5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 31 18:53:12 2016 +0000

    update comments from rinetd to socat

commit 3f2d755e8ed8b4905395d492f3abf9dfc0310c29
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 31 18:34:41 2016 +0000

    also use Wants=network.target

commit a23fb66589be2f93778d45469eae6dc1119d036a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 31 18:33:56 2016 +0000

    remove Wants=rinetd.service, no longer required since ported to socat

commit 4cb8bdd3e1790f407de23a364952e2ed69b70c2d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 23 16:24:25 2016 +0000

    fix

commit e975f8048478c13903c54159caddd5d35c040223
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 23 15:59:01 2016 +0000

    fix permissions

commit 6c9e7a1afee8dc9dbf45ea370377f4d490539d15
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 23 15:43:29 2016 +0000

    forward Tor auth cookie unix domain socket files to Whonix-Gateway Control Port Filter
    
    cleanup eventual old files
    
    comments

commit 63a0d3ccd15646cf11d7c37a2a7fbde7e4b0bb61
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 16 13:23:21 2016 +0000

    remove rinetd maintainer script restart code since ported to socat
    
    https://phabricator.whonix.org/T330

commit 28e0d4ce831732bf042e7ba73cf650e3462ae81b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 15 21:50:24 2016 +0000

    code simplification

commit f07ca37aea1d002f8a73bbe15fbd5915447ba911
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 15 21:46:56 2016 +0000

    fix, /etc/controlportfilt.d/* -> /etc/controlportfilt.d/*.conf

commit 6093a880105191722b0c0707078b70bb486fadf3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 15 21:46:30 2016 +0000

    nullglob

commit 5cf007edfcf42e1b971e69354162f801d9573ef4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 15 21:40:04 2016 +0000

    parse also /rw/config/controlportfilt.d/*.conf for config snippets

commit 57673fa1923536319853dcc93a148703dbb3eabc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 8 22:33:39 2016 +0000

    removed rinetd leftovers
    
    https://phabricator.whonix.org/T464

commit 2ead73c2d15ba39836ec14f122a14f5047bb768a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 8 22:21:57 2016 +0000

    replaced rinetd with socat and added configurable socks port redirection
    
    https://phabricator.whonix.org/T464

commit 480c18d32f9ec39485c80218401398c1abd510d7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 1 16:36:15 2016 +0000

    comment

commit e06829659ae48e466edffbf6d50ada482921319f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 4 22:03:43 2016 +0000

    bumped changelog version

commit 8ca2d45c9370555cce0f3dde56c843bf2159f2fc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 30 02:26:28 2016 +0000

    socat-unix-sockets: fixed port redirection numbers

commit 28c68e41bc1bb86a00df4b64d323766ef64647cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:29 2016 +0000

    bumped changelog version

commit 4616332dbf4f06964449bcb17d305d37c993d638
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 01:41:21 2015 +0000

    fix broken anon-ws-disable-stackedtor 'sudo service tor status' in Qubes
    
    https://phabricator.whonix.org/T454

commit 4c50bd5eaf25ee790674e1db97087a582a4e9e0a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 22 23:12:33 2015 +0000

    bumped changelog version

commit db8df21d02798819ffd6c2b143e8eab246c748a9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 9 00:27:15 2015 +0000

    added missing systemd directions - https://phabricator.whonix.org/T192#6573

commit bc7dee3418b9099dfcbbd027b559e2e4319e3e51
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:07:46 2015 +0000

    bumped changelog version

commit 32e5955c42faa378feaa85c06b50ad9bde231878
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 17:47:14 2015 +0000

    bumped changelog version

commit 2756960d4960c3badd5856a01d8429117f02b07f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 20 13:53:09 2015 +0000

    Workaround for 'rinetd fills up the logs until disk is full up if it cannot bind' - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=796235

commit c246d61189015f14e806fbb34bfade5d6cfe6e3c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 20 03:04:39 2015 +0000

    Try to cope up with planned changes by the Tor Browser Bundle (TBB) developers. Try keeping Tor Browser being able to connect while preventing Tor over Tor.
    The Tor Project (TPO) plans ( https://trac.torproject.org/projects/tor/ticket/14270 ) to modify TBB to use unix domain sockets (Tor SocksSocket option) instead of TCP to talk to Tor.
    To make things worse, currently the environment variables TOR_SOCKS_HOST and TOR_SOCKS_PORT are broken. ( upstream bug report: https://trac.torproject.org/projects/tor/ticket/8336 )
    Therefore creating unix domain sockets using socat in folder /var/run/anon-ws-disable-stacked-tor that are forwarded rinetd on localhost which forwards them to the gateway.
    (Not directly forwarding those to the gateway to make the Qubes implementation simpler. This way no IP replacement is required.)
    Optimistically setting environment variables to configure TBB in hope that those are later implemented by TPO.
    export TOR_PRE_EXIST_UNIX_SOCKET_SOCKS="/var/run/anon-ws-disable-stacked-tor/127.0.0.1_9150.sock"
    export TOR_PRE_EXIST_UNIX_SOCKET_CONTROL="/var/run/anon-ws-disable-stacked-tor/127.0.0.1_9151.sock"
    As long it is ignored, there is no harm.
    And once Tor Browser supports it, chances are better that it is still able to make connections See also:
    - https://trac.torproject.org/projects/tor/ticket/14272#comment:3
    - https://phabricator.whonix.org/T192

commit 0fe9756e0688335448f32dc161d529721c2e1a39
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 14:59:17 2015 +0000

    bumped changelog version

commit c87c71c0146bccf2bdc9f261384cb155341762da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 28 19:57:40 2015 +0000

    bumped changelog version

commit 21a6f2be78497432fdfb207663fd3aa46832ab43
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 28 19:55:08 2015 +0000

    systemd compatibility - https://phabricator.whonix.org/T303

commit 12691426c9f0bfd561ce369e90158b9dcd1132ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 28 16:30:42 2015 +0000

    fixed 'insserv: script tor.anondist-orig: service tor already provided!' warning during upgrades - https://phabricator.whonix.org/T303

commit f5d95f5c707c9f93c04ba57b13c537fdd73429f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 17:55:57 2015 +0000

    bumped changelog version

commit c3618157b27870b7bfe756d817931c5f38ef2076
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 16:26:52 2015 +0000

    lintian warning copyright fix

commit ae6af11c7c550cb46310421aabbef4eafd43b705
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:43:04 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit 71d1b255dbc3cc2ec86e89ba08ea0b03f9321b55
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 27 14:04:38 2015 +0000

    lintian warning copyright fix

commit 3098e02dabeb5dc6ade448e680e2258aca32abf5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:15:51 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit 4a40b8abd9fdcb3a9d3123814801305668e40f56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 17:41:19 2015 +0000

    bumped changelog version

commit 5b54d73d5a11a4d5e7afb5c1c5caa3f6e6e5d0cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:41:01 2015 +0000

    added genmkfile to Build-Depends

commit 02d63fd9c9cd06b8721099ddc121af257abbee64
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:24 2015 +0000

    updated makefile generic to version 1.5

commit 52d961e35a08484f8eb455de2c71cb5a4c866a4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:36:15 2015 +0000

    bumped changelog version

commit 3dda3068e526ad29802fa0c998813297020c7088
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:26:22 2015 +0000

    updated makefile generic to version 1.4

commit 723a237d0669db549ab7e094df5a25bdc9a14d28
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 23:48:07 2015 +0000

    fix

commit 8fb3eace2fc0dde50e894f53960df9bfc67701b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 14 03:08:50 2015 +0000

    bumped changelog version

commit 3268b3e63c7908ab3c5ae9267c06795684459e7f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 12 21:26:14 2015 +0000

    fix

commit 68e57a2fe5694302d6b1fa906c37ef2c85240a9a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 12 15:33:46 2015 +0000

    added Tor's init script in an attempt to fix "anon-ws-disable-stacked-tor breaks installation of onioncat due to missing sysvinit script" - https://phabricator.whonix.org/T5

commit 1c12ec5025f165c94449009e868ec47ebee17a47
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 6 04:22:19 2015 +0000

    maintainer script output

commit 51aae25ea3270db6732058761a4408267c604fe0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:56:05 2015 +0000

    bumped changelog version

commit 301f4e4e845d0be3fd23f569e5f30e322b396ec3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:44:42 2015 +0000

    added changelog.upstream

commit a79b1ec6e5f2112b0a06f24c045470a2b749ae06
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:40:28 2015 +0000

    updated makefile generic to version 1.3

commit 662b3403c33d362cb4e4584195c3be086c7693d8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 23:58:34 2015 +0000

    Added creation of upstream changelog to debian/rules

commit 275f072b03510324c6e8cdf3556b1d1a83cc90ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 18:18:24 2015 +0000

    Work on Tor Messenger Support:
    - Forward workstation 127.0.0.1 9152 to gateway 10.152.152.10 9152. (SocksPort)
    - Forward workstation 127.0.0.1 9153 to gateway 10.152.152.10 9052 where Control Port Filter Proxy. (ControlPort)

commit d010ed40de49becf55ac223b74fb2b269356c907
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 18:09:22 2015 +0000

    comments

commit baa5b888f2ced94e0576fbf160b350b730b0b886
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 13 00:23:04 2015 +0000

    Added:
    export TOR_NO_DISPLAY_NETWORK_SETTINGS=1
    Environment variable to disable the "TorButton" ->
    "Open Network Settings..." menu item. It is not useful and confusing to have
    on a workstation, because Tor must be configured on the gateway, which is
    for security reasons forbidden from the gateway.
    https://trac.torproject.org/projects/tor/ticket/14100

commit d5f597b6279b78e51b984612fe66908d25d3b66c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 19:33:32 2015 +0000

    bumped compat from 8 to 9

commit cbec50435ff09993a5b0d26b16b78a67d310b553
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 5 19:01:07 2014 +0000

    updated generic makefile

commit b7b83767b48d6f78104ed0a06c740d69985a8c07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 28 22:35:15 2014 +0000

    makefile: refactoring, avoid using IFS

commit 3c1ad005f55fb130d60747df3a6de42b895682f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 25 01:58:49 2014 +0000

    makefile:
    - make debdist; make undebdist
    - cleanup
    - refactoring

commit 29848199153c07ff7a8ea8fc0d563b479481768a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 23 22:43:01 2014 +0000

    makefile:
    - new target "make undist", which deletes the upstream tarball
    - $DISTDIR variable for make (un)dist, which defaults to ".." and can be used to create upstream tarballs in arbitrary locations
    - refactoring, all function names and global variables now start with "make_" to make the script `source`ing friendly
    - made `source`able

commit 0dc10daf766efffd197841751c6f15b7c00fd112
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 16 17:09:02 2014 +0000

    Tor Browser 4.x compatibility fix

commit d8638343007c9a2cd2c07b167a8ad8980763161f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 13 12:36:50 2014 +0000

    readme

commit 832bf6ff7b618db9bbfb1953f0462a5c981b799a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 8 12:23:52 2014 +0000

    environment variable to skip TorButton control port verification https://trac.torproject.org/projects/tor/ticket/13079 export TOR_SKIP_CONTROLPORTTEST=1

commit bbdd1769336f9527ab2f4c8045c0fa6ec14aae30
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 19 18:52:34 2014 +0000

    makefile: added new feature "make deb-chl-bumpup" - Bump upstream version number in debian/changelog.

commit a82d42c42bf668d7b35ac7cc68d47f963c0dc910
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:54:21 2014 +0000

    Updated debian/changelog.

commit db5131c10f338f2b23dbd8821fbf4c5c3d4b038a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:47:24 2014 +0000

    Fixed changelog date.

commit 757370138e2fbd54212250c5bd26c1740a86ca96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 18:03:23 2014 +0000

    bump version number

commit d8d8cc31013628186e407e2b229c34b5bbb98300
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 14 13:35:13 2014 +0000

    Implemented make deb-icup: Combination of make deb-pkg, make deb-pkg-install and make deb-pkg-cleanup.

commit ee9838b2afb29471c509fbe16e8df62a616249a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 12:42:24 2014 +0000

    packaging

commit 0b94140905dd0ed095b2ba6feafee0b2f53406d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 04:01:08 2014 +0000

    packaging

commit 62f87ef167eb3cc1ecec15a139fa4aa3b9e8c75d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:26:34 2014 +0000

    packaging

commit 7c54b281c8d2ea1a9919616011d5999e879a0ff8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:16:01 2014 +0000

    packaging: removed build dependency on git, since the .git folder won't be included in the upstream tarball.

commit 37e0d2de062601a0d5bfd1da3ad549ac1b9e5ef9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 17:10:58 2014 +0000

    packaging

commit 62638fc07a8718474a278e9a07e9a66f378eb8bf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 15:34:14 2014 +0000

    packaging

commit 5c7b0bddd8e70d9ea2501b0446f6ab2ef391e5d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 10 16:55:56 2014 +0000

    Fix, removed "Conflicts: tor". We may not use "Conflicts: tor", otherwise anon-ws-disable-stacked-tor will get removed, when installing a package, that depends on "tor".

commit e98c16ad88a437f83e2099f78420edd98df2e07e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 13:22:45 2014 +0000

    use $BASH_SOURCE instead of $0

commit 2673a68d3609e57de5e99b8de29675f584d71d6d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 11:59:50 2014 +0000

    sanity test

commit 224f930a029fe79a41efe70eb3abb489338c3afb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 11:34:25 2014 +0000

    sanity test

commit 96ed22cd3077cd4a6acf797e5252a81de5bb43bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 5 08:09:41 2014 +0000

    Bumped debian revision number to avoid lintian warning "new-package-should-close-itp-bug" so we can use lintian --fail-on-warnings as sanity test.

commit ef80a50d914be8657efa3c26a73a8b2724cb6749
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 24 15:45:10 2014 +0000

    added debian epoch; added dotglob

commit b3f0fc416f278b032acc35a56f7e9863da13d8aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 20 17:14:42 2014 +0000

    hide unnecessary output in maintainer scripts

commit f4b17c91afb0892443a5372d3ac40985a9158b87
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 20 14:33:00 2014 +0000

    removed deprecated TB_STANDALONE variable

commit d58a58f9bc701102e26298acb33a47d3c8f0912e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 20 08:32:59 2014 +0000

    postrm: only attempt to restart init script if daemon is running and if init script is executable

commit c8e79085ee41f4a0a5069437c836e3f666fae410
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 20 08:31:47 2014 +0000

    postinst: added || true to avoid an error in case the init script has been chmodded -x in meanwhile or in case the original config is erroneous.

commit 3e9eb52bdee06c340972aac335c0e126c4aa2dfa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 20 08:14:49 2014 +0000

    fix postinst script, only restart rinetd when it is already started to prevent needlessly starting rinetd in chroot to prevent the chroot getting locked

commit 35767595a1d2b24fd77363c87bbe45d615766c18
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 18 13:28:29 2014 +0000

    fix

commit 1ff9587be7c6bbaa5c2e2bf1f5741b877ce8407b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 12 12:11:49 2014 +0000

    added lintian override: Dummy script does not need a man page. Original man page still available.

commit 356bd20c145803baecc79cdc24c8fcc99087b6ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 12 12:03:12 2014 +0000

    added maintainer scripts for restarting rinetd after (un)diverting its config file

commit 9f02b39e07bf50ca2ca870c450dea0e07a603912
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 10 14:14:52 2014 +0000

    update IP as per https://www.whonix.org/forum/index.php/topic,107.0.html

commit c41f192e066f9e51cfccae5d034a622a782c6203
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 3 18:27:23 2014 +0000

    readme

commit c432ec588f68da8bbbac1861a97cd2c8bc5f5e3c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 1 15:38:29 2014 +0000

    readme

commit 749d0e7792992bc02a868b7e1b79f34eb27d62bc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 29 10:05:27 2014 +0000

    packaging

commit e3bee94a54bdb6a62aaea7c57bad8b5f22dfc2c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 23 17:55:15 2014 +0000

    packaging

commit b188c078f971faf44bc5ff47cb75126b509ab6ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 23 17:46:46 2014 +0000

    .
